<?php
/**
 * Settings Page for Email
 *
 * @package momo-membership
 * @author MoMo Themes
 */

$mmtms_email_options = get_option( 'mmtms_email_options' );
?>
<div class="mmtms-admin-content-box mmtms-admin-email-form">
	<div class="mmtms-admin-tab-loading"></div>
	<div class="mmtms-admin-content-header">
		<h3><i class="mmtms-icon-mail"></i><?php esc_html_e( 'Email Settings', 'momo-membership' ); ?></h3>
	</div>
	<div class="mmtms-admin-content-content">
		<?php
		$site_name   = get_bloginfo( 'name' );
		$admin_email = get_option( 'admin_email' );
		?>
		<label class="regular"><?php esc_html_e( 'Sender name', 'momo-membership' ); ?></label>
		<input name="mmtms_sender_name" placeholder="<?php echo esc_html( $site_name ); ?>" type="text" value="<?php echo esc_html( isset( $mmtms_email_options['mmtms_sender_name'] ) ? $mmtms_email_options['mmtms_sender_name'] : '' ); ?>">
		<label class="regular"><?php esc_html_e( 'Sender email address', 'momo-membership' ); ?></label>
		<input name="mmtms_sender_email" placeholder="<?php echo esc_html( $admin_email ); ?>" type="text" value="<?php echo esc_html( isset( $mmtms_email_options['mmtms_sender_email'] ) ? $mmtms_email_options['mmtms_sender_email'] : '' ); ?>">

		<?php $enabled = isset( $mmtms_email_options['mmtms_email_confirmation_link'] ) ? $mmtms_email_options['mmtms_email_confirmation_link'] : ''; ?>
		<?php $checked = ( 'on' === $enabled ) ? 'checked' : ''; ?>
		<div class="mmtms-admin-yesno">
			<span class="mmtms-admin-toggle-container" afteryes="email_confirmation_link_settings">
				<label class="switch">
					<input type="checkbox" class="switch-input" name="mmtms_email_confirmation_link" <?php echo esc_attr( $checked ); ?>>
					<span class="switch-label" data-on="Yes" data-off="No"></span>
					<span class="switch-handle"></span>
				</label>
			</span>
			<span class="mmtms-toggle-container-label"><?php esc_html_e( 'Send email confirmation link on new registration.', 'momo-membership' ); ?></span>
			<span class="mmtms-lb-note">
				* <?php esc_html_e( 'Enabling this will disable user login without user confirmation through email link.', 'momo-membership' ); ?>
			</span>
			<div class="afteryes" id="email_confirmation_link_settings">
				<label class="regular"><?php esc_html_e( 'Email Subject', 'momo-membership' ); ?></label>
				<input name="mmtms_ecl_subject" placeholder="<?php esc_html_e( 'Confirm your email address to activate your account.', 'momo-membership' ); ?>" type="text" value="<?php echo esc_html( isset( $mmtms_email_options['mmtms_ecl_subject'] ) ? $mmtms_email_options['mmtms_ecl_subject'] : '' ); ?>">
				<label class="regular"><?php esc_html_e( 'Email Body', 'momo-membership' ); ?></label>
				</p>
					<textarea name="mmtms_ecl_body"><?php echo esc_html( isset( $mmtms_email_options['mmtms_ecl_body'] ) ? $mmtms_email_options['mmtms_ecl_body'] : '' ); ?></textarea>
				</p>
				<p>
					<span class="mmtms-lb-note">
						<?php esc_html_e( '* Available placeholders for email subject and body.', 'momo-membership' ); ?>
					</span>
					<strong>
						<span class="mmtms-lb-note">
							<?php esc_html_e( '{username}', 'momo-membership' ); ?>
						</span>
					</strong>
					<strong>
						<span class="mmtms-lb-note">
							<?php esc_html_e( '{confirmation_link}', 'momo-membership' ); ?>
						</span>
					</strong>
				</p>
				<p class="mmtms-float-right">
					<span class="mmtms-admin-btn btn-prev-verification-email secondary" data-target="#admin_preview_email"><?php esc_html_e( 'Preview Email', 'momo-membership' ); ?></span>
				</p>
			</div>
		</div>
		<?php $enabled = isset( $mmtms_email_options['mmtms_email_reset_password_link'] ) ? $mmtms_email_options['mmtms_email_reset_password_link'] : ''; ?>
		<?php $checked = ( 'on' === $enabled ) ? 'checked' : ''; ?>
		<div class="mmtms-admin-yesno">
			<span class="mmtms-admin-toggle-container">
				<label class="switch">
					<input type="checkbox" class="switch-input" name="mmtms_email_reset_password_link" <?php echo esc_attr( $checked ); ?>>
					<span class="switch-label" data-on="Yes" data-off="No"></span>
					<span class="switch-handle"></span>
				</label>
			</span>
			<span class="mmtms-toggle-container-label"><?php esc_html_e( 'Enable password reset link button.', 'momo-membership' ); ?></span>
		</div>
		<?php $enabled = isset( $mmtms_email_options['mmtms_email_notify_admin_new_member'] ) ? $mmtms_email_options['mmtms_email_notify_admin_new_member'] : ''; ?>
		<?php $checked = ( 'on' === $enabled ) ? 'checked' : ''; ?>
		<div class="mmtms-admin-yesno">
			<span class="mmtms-admin-toggle-container">
				<label class="switch">
					<input type="checkbox" class="switch-input" name="mmtms_email_notify_admin_new_member" <?php echo esc_attr( $checked ); ?>>
					<span class="switch-label" data-on="Yes" data-off="No"></span>
					<span class="switch-handle"></span>
				</label>
			</span>
			<span class="mmtms-toggle-container-label"><?php esc_html_e( 'Notify admin for each new registration.', 'momo-membership' ); ?></span>
		</div>
		<div class="mmtms-admin-tab-bottom">
			<a class="mmtms-admin-btn save-email-settings" href="#"><?php esc_html_e( 'Save Settings', 'momo-membership' ); ?></a>
		</div>
	</div>
</div>
<div class="mmtms-admin-lightbox" id="admin_preview_email">
	<div class="mmtms-admin-lb-wrapper mmtms-min-height-200">
		<div class="mmtms-admin-loader"></div>
		<span class="mmtms-admin-lb-close">
			<i class="mmtms-icon-cancel-circled"></i>
		</span>
		<div class="mmtms-light-header">
			<?php esc_html_e( 'Preview Email', 'momo-membership' ); ?>
		</div>
		<div class="mmtms-admin-lb-content">
			<div class="mmtms-preview-email-header">
				<span class="mmtms-peh-from-email">
					<strong><?php esc_html_e( 'From : ', 'momo-membership' ); ?></strong>
					<i></i>
				</span>
				<span class="mmtms-peh-from-subject">
					<strong><?php esc_html_e( 'Subject : ', 'momo-membership' ); ?></strong>
					<i></i>
				</span>
			</div>
			<div class="mmtms-preview-email-message">

			</div>
		</div>
	</div>
</div>