<?php
/**
 * Response Page Template
 *
 * You can copy this template to
 * ../wp-content/themes/(your-current-theme)/momo-membership/templates/email/
 *
 * @author  mywptrek
 * @package tecsb
 * @version 1.0
 */

get_header();
?>
	<?php
	if ( ! isset( $_REQUEST['action'] ) || ( isset( $_REQUEST['action'] ) && 'verify' === $_REQUEST['action'] ) ) {
		$email             = isset( $_REQUEST['email'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['email'] ) ) : '';
		$user_id           = isset( $_REQUEST['user_id'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['user_id'] ) ) : '';
		$verification_code = isset( $_REQUEST['kkey'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['kkey'] ) ) : '';
		$kuser             = get_post( $user_id );
		$vc_original       = get_post_meta( $user_id, '_mmtms_verification_code', true );
		if ( $vc_original === $verification_code ) {
			update_post_meta( $user_id, '_mmtms_verification_status', 'verified' );
			$output = 'Account Verified successfully';
		} else {
			$output = 'Something went wrong while verifying your account.';
		}
	}
	if ( ! isset( $_REQUEST['action'] ) || ( isset( $_REQUEST['action'] ) && 'reset-password' === $_REQUEST['action'] ) ) {
		$key        = isset( $_REQUEST['key'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['key'] ) ) : '';
		$user_login = isset( $_REQUEST['user_login'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['user_login'] ) ) : '';
	}
	?>
<?php if ( ! isset( $_REQUEST['action'] ) || ( isset( $_REQUEST['action'] ) && 'verify' === $_REQUEST['action'] ) ) : ?>
<div class="mmtre-page"><div class="mmtre-page-container" id="mmtre-seeker-registration-page"><div class="mmtre-page-header">
	<div class="jumbotron jumbotron-fluid ">
		<div class="container">
			<h1 class="title">Email Verification</h1>
			<h3 class="subtitle">New user registration verification.</h3>
		</div>
	</div>
</div>
<div class="mmtre-page-body-container"><div class="container content justify-content-between">
	<div class="mmtre-page-message success">
		<?php echo esc_html( $output ); ?>
	</div>
</div>
</div></div><!-- mmtre-page-container --></div>
<?php endif; ?>

<?php if ( ! isset( $_REQUEST['action'] ) || ( isset( $_REQUEST['action'] ) && 'reset-password' === $_REQUEST['action'] ) ) : ?>
<div class="mmtre-page"><div class="mmtre-page-container" id="mmtre-seeker-registration-page"><div class="mmtre-page-header">
	<div class="jumbotron jumbotron-fluid ">
		<div class="container">
			<h1 class="title">Reset Password</h1>
			<h3 class="subtitle">Please fill in the form below to reset your password.</h3>
		</div>
	</div>
</div>
<div class="mmtre-page-body-container">
	<div class="container content justify-content-between">
		<div class="mmtre-page-message"></div>
		<form class="mmtre-page-form" id="mmtre-reset-password-form">
			<h5><?php esc_html_e( 'Reset your password', 'mmtre' ); ?></h5>
			<input type="hidden" name="password-key" value="<?php echo esc_attr( $key ); ?>">
			<input type="hidden" name="user-login" value="<?php echo esc_attr( $user_login ); ?>">
			<div class="row">
				<div class="col">
					<div class="form-group">
						<label for="password"><?php esc_html_e( 'Password', 'mmtre' ); ?></label>
						<input type="password" name="password" id="password" class="form-control mmtre-req" placeholder="password">
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col">
					<div class="form-group">
						<label for="password-retype"><?php esc_html_e( 'Retype Password', 'mmtre' ); ?></label>
						<input type="password" name="password-retype" id="password-retype" class="form-control mmtre-req" placeholder="password">
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col">
					<div class="form-group">
						<button class="mmtre-page-btn mmtre-reset-password-submit" type="button"><?php esc_html_e( 'Reset Password', 'mmtre' ); ?></button>
					</div>
				</div>
			</div>
		</form>
	</div>
</div>
</div><!-- mmtre-page-container --></div>
<?php endif; ?>
<?php
get_footer();
