<?php
/**
 * MMTMS User Registration
 *
 * @package momo-membership
 * @author MoMo Themes
 */
class Mmtms_Helper_Functions {
	/**
	 * Constructor
	 */
	public function __construct() {
		$this->email_options = get_option( 'mmtms_email_options' );
	}
	/**
	 * Get ssettings by key
	 *
	 * @param string $type Type of settings.
	 * @param string $key Key.
	 */
	public function get_settings_by_key( $type, $key ) {
		if ( 'email' === $type ) {
			return isset( $this->email_options[ $key ] ) ? $this->email_options[ $key ] : '';
		}
		return null;
	}
	/**
	 * Get user verification status
	 *
	 * @param integer $user_id User ID.
	 */
	public function get_user_verification_status( $user_id ) {
		$userdata     = get_userdata( $user_id );
		$vs_original  = get_post_meta( $user_id, '_mmtms_verification_status', true );
		$verification = 'unverified' === $vs_original || 'verified' === $vs_original ? $vs_original : 'unknown';
		return $verification;
	}
	/**
	 * Check if user is verified
	 *
	 * @param integer $user_id User ID.
	 */
	public function check_user_is_verified( $user_id ) {
		$vs_original = get_post_meta( $user_id, '_mmtms_verification_status', true );
		if ( 'verified' === $vs_original || empty( $vs_original ) ) {
			return true;
		} else {
			return false;
		}
	}
	/**
	 * Generate Unique Key
	 *
	 * @param string $email Email Address.
	 */
	public function mmtms_generate_unique_key( $email ) {
		return md5( time() ) . '-' . md5( $email );
	}
}
