/*global window */
/*jslint this*/
/*global tinymce*/
/*global document*/
/*global mmtms_admin_ajax*/
/*global wp*/
/**
 * ADMIN jQuery functions
 */
 jQuery(document).ready(function ($) {
    "use strict";
    function show_tr_loading(tr) {
        tr.addClass('admin-tr-loading');
    }
    function hide_tr_loading(tr) {
        tr.removeClass('admin-tr-loading');
    }
    function admin_error_msg_lb(form, msg) {
        var msgBox = form.find('.mmtms-lb-msgbox');
        var loader = form.find('.mmtms-admin-loader');
        msgBox.html(msg);
        if (msg === null) {
            msgBox.html('');
            msgBox.removeClass('red');
            msgBox.css('display', 'none');
            return;
        }
        msgBox.addClass('red');
        msgBox.css('display', 'block');
        loader.css('display', 'none');
    }
    function admin_title_to_lb($lightbox, msg) {
        $lightbox.find('.mmtms-light-header').html(msg);
    }
    $('.mmtms-member-activity-report-href').on('click', function (e) {
        e.preventDefault();
        var $btn = $(this);
        var tr = $btn.closest('tr');
        var td = $btn.closest('td');
        var userid = td.attr('data-userid');
        var username = td.attr('data-username');
        var ajaxdata = {};
        ajaxdata.mmtms_nonce = mmtms_admin_ajax.ajax_nonce;
        ajaxdata.action = 'mmt_member_generate_activity_list';
        ajaxdata.page = 1;
        ajaxdata.index = 0;
        ajaxdata.username = username;
        ajaxdata.member_id = userid;
        $.ajax({
            beforeSend: function () {
                show_tr_loading(tr);
            },
            type: 'POST',
            dataType: 'json',
            url: mmtms_admin_ajax.ajaxurl,
            data: ajaxdata,
            success: function (data) {
                var $parent = $btn.closest('#mmtms-members-activity-page');
                var $lightbox = $parent.find('.mmtms-admin-lightbox');
                if ('bad' === data.status) {
                    admin_error_msg_lb($lightbox, data.msg);
                } else if ('good' === data.status) {
                    $lightbox.find('.mmtms-admin-lb-content').html(data.content);
                }
                admin_title_to_lb($lightbox, data.title);
                $lightbox.addClass('show');
                $('body').addClass('mmtms-admin-lb-body-overflow');
            },
            complete: function () {
                hide_tr_loading(tr);
            }
        });
    });
    $('body').on('click', '.mmt-range-lr', function (e) {
        var $btn = $(this);
        var $container = $btn.closest('.session_list_container_lb');
        var $lightbox = $container.closest('.mmtms-admin-lightbox');
        var index = $container.data('index');
        var username = $container.data('username');
        var userid = $container.data('userid');
        var sym = $btn.data('sym');
        var total = $btn.closest('.mmt-card-left').data('total');
        var pages = total % 2;
        if ('+' === sym) {
            if ( ( index + 1 ) < pages  || pages === 0) {
                index = index + 1;
            }
        } else {
            if ( index >= 1 ) {
                index = index - 1;
            }
        }
        var ajaxdata = {};
        ajaxdata.mmtms_nonce = mmtms_admin_ajax.ajax_nonce;
        ajaxdata.action = 'mmt_member_generate_activity_list';
        ajaxdata.index = index;
        ajaxdata.username = username;
        ajaxdata.member_id = userid;
        $.ajax({
            beforeSend: function () {
                $lightbox.find('.mmtms-admin-loader').css('display', 'block');
            },
            type: 'POST',
            dataType: 'json',
            url: mmtms_admin_ajax.ajaxurl,
            data: ajaxdata,
            success: function (data) {
                if ('bad' === data.status) {
                    admin_error_msg_lb($lightbox, data.msg);
                } else if ('good' === data.status) {
                    $lightbox.find('.mmtms-admin-lb-content').html(data.content);
                }
                admin_title_to_lb($lightbox, data.title);
            },
            complete: function () {
                $lightbox.find('.mmtms-admin-loader').css('display', 'none');
            }
        });
    });
});