<?php
/**
 * MoMo Themes Membership Activity Page
 *
 * @since 1.1.0
 * @author MoMo Themes
 * @package momo-membership
 */
class Mmt_Members_Activity_Page {
	/**
	 * Constructor
	 */
	public function __construct() {
		$this->mmt_admin_members_activity_page();
	}
	/**
	 * Members Activity Page
	 */
	public function mmt_admin_members_activity_page() {
		global $mmtms;
		wp_enqueue_script( 'mmtms-ma-page' );
		wp_enqueue_style( 'mmtms-ma-page' );
		?>
		<section id="mmtms-members-activity-page">
			<?php wp_nonce_field( 'mmtms_nonce_field', 'mmtms_nonce_name' ); ?>
			<div class="mmtms-ma-page-header">
				<h1>  
					<?php esc_html_e( 'Members Activity', 'momo-membership' ); ?>
				</h1>
			</div>

			<?php
			$users_count = count_users();
			?>
			<div class="mmtms-admin-content-box mmtms-members-activity-page">
				<div class="mmtms-admin-content-header">
					<h2><i class="mmtms-icon-users"></i><?php esc_html_e( 'Members', 'momo-membership' ); ?> ( <?php echo esc_html( count( $users_count ) ); ?> )</h2>
				</div>
				<?php if ( current_user_can( 'create_users' ) ) : ?>
					<!-- <div class="mmtms-admin-button mmtms-ma-page-button">
						<span id="mmtms-ma-page-filter" class="mmtms-ma-page-filter">
							<i class="mmtms-icon-filter"></i><?php esc_html_e( 'Search Member', 'momo-membership' ); ?>
						</span>
					</div> -->
				<?php endif; ?>
				<?php if ( count( $users_count ) ) { ?>
						<div class="mmtms-admin-user-table">
							<?php $user_table = $mmtms->admin_helper->mmtms_generate_ma_page_table( 'ma-page' ); ?>
							<?php $mmtms->admin_helper->mmtms_wp_kses_echo_table( $user_table ); ?>
						</div>
				<?php } ?>
			</div>
			<!-- Lightbox begins -->
			<div class="mmtms-admin-lightbox" id="mmtms-ma-activity-lightbox">
				<div class="mmtms-admin-lb-wrapper">
					<div class="mmtms-admin-loader"></div>
					<span class="mmtms-admin-lb-close">
						<i class="mmtms-icon-cancel-circled"></i>
					</span>
					<div class="mmtms-light-header">
						<?php esc_html_e( 'Member', 'momo-membership' ); ?>
					</div>
					<div class="mmtms-admin-lb-content">
						<div class="mmtms-lb-msgbox"></div>
					</div>
				</div>
			</div>
			<!-- Lightbox ends -->
		</section>
		<?php
	}
}
new Mmt_Members_Activity_Page();
