<?php
/**
 * MoMo Membership - Members Activity
 *
 * @since 1.1.0
 * @author MoMo Themes
 * @package momo-membership
 */
class Mmt_Members_Activity {
	/**
	 * Constructor
	 */
	public function __construct() {
		add_action( 'admin_menu', array( $this, 'mmt_members_activity_menu' ) );
		add_action( 'admin_enqueue_scripts', array( $this, 'mmtms_ma_page_script_style' ), 99 );
	}
	/**
	 * Members Activity page Scripts and Styles
	 */
	public function mmtms_ma_page_script_style() {
		global $mmtms;
		wp_enqueue_style( 'mmtms-ma-page', $mmtms->mmtms_plugin . 'members-activity/assets/mmtms-ma-page.css', array(), $mmtms->version );
		wp_enqueue_script( 'mmtms-ma-page', $mmtms->mmtms_plugin . 'members-activity/assets/mmtms-ma-page.js', array( 'jquery' ), $mmtms->version, true );
	}
	/**
	 * Members Activity Menu
	 */
	public function mmt_members_activity_menu() {
		add_submenu_page(
			'mmtms', // Parent slug.
			esc_html__( 'MoMo Members Activity', 'momo-membership' ), // Page title.
			esc_html__( 'Members Activity', 'momo-membership' ), // Menu title.
			'manage_options', // Capability.
			'mmtms-members-activity',  // Slug.
			array( $this, 'mmt_members_activity_admin_page' ),
			1
		);
		add_submenu_page(
			'mmtms-members-activity', // Parent slug.
			esc_html__( 'Member Activity', 'momo-membership' ), // Page title.
			esc_html__( 'Member Activity', 'momo-membership' ), // Menu title.
			'manage_options', // Capability.
			'mmtms-members-activity#/member',  // Slug.
			array( $this, 'mmt_members_activity_user_page' ),
			1
		);
	}
	/**
	 * Submenu Page for Members Activity
	 */
	public function mmt_members_activity_admin_page() {
		include_once 'class-mmt-members-activity-page.php';
	}
	/**
	 * Member page
	 */
	public function mmt_members_activity_user_page() {
		include_once 'class-mmt-member-page.php';
	}
}
new Mmt_Members_Activity();
